Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.util.i18n
Interface ExtendedLocalizable

All Superinterfaces:
  Localizable

    public interface ExtendedLocalizable

extends Localizable

This interface provides much more control over internationalization than the Localizable interface.

Version:
  $Id: ExtendedLocalizable.java 1345683 2012-06-03 14:50:33Z gadams $ Originally authored by Stephane Hillion.

Method Summary
`Locale` | `getDefaultLocale()` Gets the current default locale in the LocaleGroup.
`LocaleGroup` | `getLocaleGroup()` Returns the group to which this object belongs.
`ResourceBundle` | `getResourceBundle()` Returns the current resource bundle.
`void` | `setDefaultLocale(Locale l)` Sets the default locale for all the instances of this class in the same LocaleGroup.
`void` | `setLocaleGroup(LocaleGroup lg)` Sets the group to which this object belongs.

Methods inherited from interface org.apache.xmlgraphics.util.i18n.Localizable
`formatMessage, getLocale, setLocale`

Method Detail

### setLocaleGroup

    void setLocaleGroup(LocaleGroup lg)

  Sets the group to which this object belongs.

### getLocaleGroup

    LocaleGroup getLocaleGroup()

  Returns the group to which this object belongs.

### setDefaultLocale

    void setDefaultLocale(Locale l)

  Sets the default locale for all the instances of this class in the same LocaleGroup.

### getDefaultLocale

    Locale getDefaultLocale()

  Gets the current default locale in the LocaleGroup.

### getResourceBundle

    ResourceBundle getResourceBundle()

  Returns the current resource bundle. Getting this object gives access to the keys in the bundle, raw string resources, arrays of raw string resources and object resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.